module BlocksHelper
  def block_tag(key, options=nil, &block)
    text = block_given? ? capture(&block) : nil
    if account_signed_in?
      b = Block.last_for_admin(key, current_account, text)
    else
      b = Block.last(key, text)
    end
    b.apply_options(options).html
  end

  def blocks_changing_allowed?
    account_signed_in? && current_account.administrator.present?
  end

  def blocks_changed?
    last_version = BlockVersion.by_admin(current_account).last
    blocks_changing_allowed? and last_version.present? and !last_version.active and last_version.blocks.present?
  end
end


