module NodesHelper

  def sum_investment
    investment_balance = 0
    Account.all.each do |a|
      investment_balance += a.investment
    end
    return investment_balance
  end

  def sum_full_balance
    full_balance = 0
    Node.all.each do |a|
      full_balance += a.balance_t + a.balance_z
    end
    return full_balance
  end

  def sum_not_involved_funds
    return sum_start_balance - sum_full_balance
  end

  def sum_start_balance
    start_balance = 0
    Node.all.each do |a|
      start_balance += a.start_balance_t + a.start_balance_z
    end
    return start_balance
  end

  def calc_percentage_attendant
    sum_full_balance - sum_investment
  end

  def sum_attendant_profit
    sum_attendant_profit = 0
    Account.all.each do |a|
      sum_attendant_profit += (sum_full_balance - sum_investment) * a.percentage_attendant / 100
    end
    return sum_attendant_profit
  end

  def user_profits
    user_profits = Hash.new()
    Account.all.each do |a|
      user_profits[a.id] = (sprintf("%8.2f", (a.investment / (sum_investment) * (sum_full_balance - sum_attendant_profit)) - a.investment))
    end
    return user_profits
  end

  def attendant_profit
    attendant_profit = Hash.new()
    Account.all.each do |a|
      attendant_profit[a.id] = (sum_full_balance - sum_investment) * a.percentage_attendant / 100
    end
    return attendant_profit
  end
end
