module PagesHelper
  def link_to_page(page)
    link_to(page.title, page_url_for(page), target: (:_blank if page.mode == 'link')).html_safe
  end

  def page_url_for(page)
    if page.mode == 'page'
      front_page_path(page.url)
    elsif page.mode == 'anchor'
      root_path anchor: "page_#{page.url}"
    elsif page.mode == 'path'
      send Page.links[page.link.to_sym]
    else
      page.link
    end
  end
end
